<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>hk.quantr.mxgraph.view (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="hk.quantr.mxgraph.view (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Package" class="title">Package&nbsp;hk.quantr.mxgraph.view</h1>
</div>
<div class="contentContainer">
<section role="region"><a id="package.description">
<!--   -->
</a>
<div class="block">This package implements the graph component, represented by the mxGraph
  class. The graph holds an mxGraphModel which contains mxCells and caches the
  state of the cells in mxGraphView. The cells are painted using a canvas from
  the canvas package. The style of the graph is represented by the mxStylesheet
  class.</div>
</section>
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a></th>
<td class="colLast">
<div class="block">Defines the requirements for an edge style function.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxGraph.mxICellVisitor.html" title="interface in hk.quantr.mxgraph.view">mxGraph.mxICellVisitor</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxPerimeter.mxPerimeterFunction.html" title="interface in hk.quantr.mxgraph.view">mxPerimeter.mxPerimeterFunction</a></th>
<td class="colLast">
<div class="block">Defines the requirements for a perimeter function.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></th>
<td class="colLast">
<div class="block">Represents the current state of a cell in a given graph view.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxConnectionConstraint.html" title="class in hk.quantr.mxgraph.view">mxConnectionConstraint</a></th>
<td class="colLast">
<div class="block">Defines an object that contains the constraints about how to connect one
 side of an edge to its terminal.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxEdgeStyle.html" title="class in hk.quantr.mxgraph.view">mxEdgeStyle</a></th>
<td class="colLast">
<div class="block">Provides various edge styles to be used as the values for
 mxConstants.STYLE_EDGE in a cell style.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a></th>
<td class="colLast">
<div class="block">Implements a graph object that allows to create diagrams from a graph model
 and stylesheet.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxGraphSelectionModel.html" title="class in hk.quantr.mxgraph.view">mxGraphSelectionModel</a></th>
<td class="colLast">
<div class="block">Implements the selection model for a graph.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxGraphSelectionModel.mxSelectionChange.html" title="class in hk.quantr.mxgraph.view">mxGraphSelectionModel.mxSelectionChange</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></th>
<td class="colLast">
<div class="block">Implements a view for the graph.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxGraphView.mxCurrentRootChange.html" title="class in hk.quantr.mxgraph.view">mxGraphView.mxCurrentRootChange</a></th>
<td class="colLast">
<div class="block">Action to change the current root in a view.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxLayoutManager.html" title="class in hk.quantr.mxgraph.view">mxLayoutManager</a></th>
<td class="colLast">
<div class="block">Implements a layout manager that updates the layout for a given transaction.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxMultiplicity.html" title="class in hk.quantr.mxgraph.view">mxMultiplicity</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxPerimeter.html" title="class in hk.quantr.mxgraph.view">mxPerimeter</a></th>
<td class="colLast">
<div class="block">Provides various perimeter functions to be used in a style
 as the value of mxConstants.STYLE_PERIMETER.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxStyleRegistry.html" title="class in hk.quantr.mxgraph.view">mxStyleRegistry</a></th>
<td class="colLast">
<div class="block">Singleton class that acts as a global converter from string to object values
 in a style.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxStylesheet.html" title="class in hk.quantr.mxgraph.view">mxStylesheet</a></th>
<td class="colLast">
<div class="block">Defines the appearance of the cells in a graph.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxSwimlaneManager.html" title="class in hk.quantr.mxgraph.view">mxSwimlaneManager</a></th>
<td class="colLast">
<div class="block">Manager for swimlanes and nested swimlanes that sets the size of newly added
 swimlanes to that of their siblings, and propagates changes to the size of a
 swimlane to its siblings, if siblings is true, and its ancestors, if
 bubbling is true.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxTemporaryCellStates.html" title="class in hk.quantr.mxgraph.view">mxTemporaryCellStates</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
